.menu-search-item{
    margin-left:40px; /* отступ от Контакты */
}

.menu-search-form{
    display:flex;
    align-items:center;
}

.menu-search-form input{
    height:36px;
    width:160px;        /* начальная ширина */
    padding:6px 10px;
    border:1px solid #ccc;
    transition:0.3s;
}

.menu-search-form input:focus{
    width:260px;        /* расширяется при фокусе */
}

.menu-search-form button{
    height:36px;
    width:40px;
    border:none;
    background:#7db343; /* зелёная кнопка */
    color:#fff;
}

.menu-search-form button:hover{
    background:#6aa233;
}